oasis.names.tc.saml._2_0.assertion

## Class Action

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.Action

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class Action
      extends Object
      implements Serializable

  Java class for ActionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ActionType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="Namespace" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNamespace()` Gets the value of the namespace property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setNamespace(String value)` Sets the value of the namespace property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Action

          public Action()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNamespace

          public String getNamespace()

      Gets the value of the namespace property.
      Returns:
        possible object is `String`

    - #### setNamespace

          public void setNamespace(String value)

      Sets the value of the namespace property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.